Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496738 - FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'
Summary: FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b7ef383b3badec8bdbd47fe7f3c...
: 1523928 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 09:14 UTC by Alessio
Modified: 2018-11-30 19:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:50:23 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (4.05 MB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: anaconda.log (47.79 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: dnf.librepo.log (1.45 MB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: environ (529 bytes, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: hawkey.log (17.58 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: lorax-packages.log (25.93 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: lsblk_output (2.92 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: lvm.log (234.57 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: os_info (529 bytes, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: program.log (67.53 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: storage.log (174.89 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: syslog (501.09 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: ifcfg.log (4.22 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details
File: packaging.log (941.91 KB, text/plain)
2017-09-28 09:15 UTC, Alessio
no flags Details

Description Alessio 2017-09-28 09:14:53 UTC
Description of problem:
During Netinst installation

Version-Release number of selected component:
anaconda-27.20.1-1

The following was filed automatically by anaconda:
anaconda 27.20.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/subprocess.py", line 1333, in _execute_child
    raise child_exception_type(errno_num, err_msg)
  File "/usr/lib64/python3.6/subprocess.py", line 707, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/iutil.py", line 205, in startProgram
    preexec_fn=preexec, cwd=root, env=env, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/iutil.py", line 284, in _run_program
    env_prune=env_prune)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/iutil.py", line 360, in execWithRedirect
    log_output=log_output, binary_output=binary_output)[0]
  File "/usr/lib64/python3.6/site-packages/pyanaconda/iutil.py", line 337, in execInSysroot
    return execWithRedirect(command, argv, stdin=stdin, root=getSysroot())
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1572, in write_config
    rc = iutil.execInSysroot("grub2-set-default", [str(default_index)])
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1771, in write
    self.write_config()  # pylint: disable=no-member
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2464, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2541, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 365, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 252, in run
    threading.Thread.run(self)
FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-27 rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.3-300.fc27.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        27

Comment 1 Alessio 2017-09-28 09:15:04 UTC
Created attachment 1331845 [details]
File: anaconda-tb

Comment 2 Alessio 2017-09-28 09:15:07 UTC
Created attachment 1331846 [details]
File: anaconda.log

Comment 3 Alessio 2017-09-28 09:15:13 UTC
Created attachment 1331847 [details]
File: dnf.librepo.log

Comment 4 Alessio 2017-09-28 09:15:15 UTC
Created attachment 1331848 [details]
File: environ

Comment 5 Alessio 2017-09-28 09:15:17 UTC
Created attachment 1331849 [details]
File: hawkey.log

Comment 6 Alessio 2017-09-28 09:15:19 UTC
Created attachment 1331850 [details]
File: lorax-packages.log

Comment 7 Alessio 2017-09-28 09:15:21 UTC
Created attachment 1331851 [details]
File: lsblk_output

Comment 8 Alessio 2017-09-28 09:15:24 UTC
Created attachment 1331852 [details]
File: lvm.log

Comment 9 Alessio 2017-09-28 09:15:26 UTC
Created attachment 1331853 [details]
File: nmcli_dev_list

Comment 10 Alessio 2017-09-28 09:15:27 UTC
Created attachment 1331854 [details]
File: os_info

Comment 11 Alessio 2017-09-28 09:15:30 UTC
Created attachment 1331855 [details]
File: program.log

Comment 12 Alessio 2017-09-28 09:15:33 UTC
Created attachment 1331856 [details]
File: storage.log

Comment 13 Alessio 2017-09-28 09:15:36 UTC
Created attachment 1331857 [details]
File: syslog

Comment 14 Alessio 2017-09-28 09:15:38 UTC
Created attachment 1331858 [details]
File: ifcfg.log

Comment 15 Alessio 2017-09-28 09:15:43 UTC
Created attachment 1331859 [details]
File: packaging.log

Comment 16 Thiago Amendola 2017-12-09 05:34:51 UTC
*** Bug 1523928 has been marked as a duplicate of this bug. ***

Comment 17 Ben Cotton 2018-11-27 17:03:20 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2018-11-30 19:50:23 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.